Subject: Re: [PATCH v3 0/4] completion: remove hardcoded config variable names

From: Patrick Steinhardt <[email-masked]>
Date: Tue, 13 Feb 2024 10:35:30 +0100

On Sat, Feb 10, 2024 at 06:32:19PM +0000, Philippe Blain via GitGitGadget wrote:
> Changes since v2:
> 
>  * Moved the addition of the tests to 2/4, and tweaked 3/4 and 4/4 so they
>    simply adjust the test names
>  * Added a test for user-defined submodule names, as suggested by Patrick
>  * Added more details in the commit message of 3/4 around the use of global
>    variables as caches
>  * Slightly improved commit message wording and fixed typos
>  * Added 'local' where suggested
>  * Dropped 4/5 which modified 'git help', since it's not needed (thanks
>    Patrick!)
> 
> Changes since v1:
> 
>  * Corrected my email in PATCH 2/5 (sorry for the noise)
> 
> v1: This series removes hardcoded config variable names in the
> __git_complete_config_variable_name function, partly by adding a new mode to
> 'git help'. It also adds completion for 'submodule.*' config variables,
> which were previously missing.
> 
> I think it makes sense to do that in the same series since it's closely
> related, and splitting it would result in textual conflicts between both
> series if one does not build on top of the other, but I'm open to other
> suggestions.
> 
> Thanks,
> 
> Philippe.

I ain't got anything else to add to this patch series. Thanks!

Patrick